/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.330 Revision 1.477
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.330 2008/03/05 20:37:44 dertobi123 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.477 2010/12/31 09:51:21 graaff Exp $
4
5 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
6 Remove masked ruby 1.8.6 per bug 332597.
7
8 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
9 -ruby-1.9.2_rc2.ebuild:
10 Removing old and vulnerable ebuilds
11
12 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
13 Marking ruby-1.8.7_p302 ppc64 for bug 332957
14
15 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
16 alpha/ia64/s390/sh/sparc stable wrt #332957
17
18*ruby-1.9.2 (24 Aug 2010)
19
20 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
21 metadata.xml:
22 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
23 and x86-fbsd due to a new dependency on rdoc.
24
25 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
26 arm stable, bug #332957
27
28 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
29 ruby-1.8.7_p302.ebuild:
30 x86 stable wrt security bug #332957
31
32 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
33 Stable on amd64 wrt bug #332957
34
35 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
36 Stable for PPC (bug #332957).
37
38 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
39 Stable for HPPA (bug #332957).
40
41*ruby-1.8.7_p302 (21 Aug 2010)
42
43 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
44 +ruby-1.8.7_p302.ebuild:
45 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
46 installation path.
47
48*ruby-1.8.6_p399 (19 Aug 2010)
49
50 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
51 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
52 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
53 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
54 installation path (reported by the x86 team in bug 332597)
55
56*ruby-1.9.2_rc2-r1 (18 Aug 2010)
57
58 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
59 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
60 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
61 the rubygems loading code. Add USE flag for psych.
62
63 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
64 ruby-1.9.2_rc2.ebuild:
65 Remove two keepdir that will try to keep an empty path, closes bug
66 #333163.
67
68 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
69 Marked ~ppc (bug #332593).
70
71 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
72 ruby-1.9.2_rc2.ebuild:
73 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
74
75 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
76 ruby-1.8.7_p299.ebuild:
77 Bump eselect-ruby dependency
78
79 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
80 -ruby-1.9.1_p429.ebuild:
81 Remove ebuild that is not target for unmask anyway.
82
83 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
84 ruby-1.9.2_rc2.ebuild:
85 Try 2 to fix the berkdb 5 issue on 1.9.
86
87 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
88 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
89 ruby-1.9.2_rc2.ebuild:
90 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
91 support for adding new patchsets without bumping the revision for all the
92 old ebuilds as well.
93
94*ruby-1.9.2_rc2 (14 Jul 2010)
95
96 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
97 +ruby-1.9.2_rc2.ebuild:
98 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
99 might cause _further_ build failures as it changed slightly behaviour.
100 You're going to need to rebuild rubygems and then all the packages
101 previously installed after upgrading to this.
102
103 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
104 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
105 -ruby-1.9.1_p376.ebuild:
106 Cleanup old versions.
107
108*ruby-1.9.1_p429 (04 Jul 2010)
109
110 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
111 +ruby-1.9.1_p429.ebuild:
112 Version bump to new 1.9.1 release.
113
114*ruby-1.8.7_p299 (23 Jun 2010)
115
116 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
117 +ruby-1.8.7_p299.ebuild:
118 Version bump.
119
120 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
121 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
122 remove useless comments
123
124 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
125 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
126 ruby-1.9.1_p376.ebuild:
127 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
128 dev.gentoo.org now.
129
130 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
131 ruby-1.9.1_p376.ebuild:
132 Use the correct RUBYLIB.
133
134*ruby-1.8.7_p249-r2 (18 May 2010)
135*ruby-1.8.6_p388-r1 (18 May 2010)
136
137 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
138 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
139 ruby-1.9.1_p376.ebuild, metadata.xml:
140 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
141 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
142 add USE flags for ncurses, readline and libedit, and properly depend on
143 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
144 Emacs versions support ruby-mode themselves and it should be even more
145 updated.
146
147*ruby-1.8.7_p249-r1 (06 May 2010)
148
149 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
150 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
151 309789 by Sune Kloppenborg Jeppesen.
152
153 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
154 ruby-1.8.7_p249.ebuild:
155 Use $PVR instead of $PV in patchset names
156
157 06 May 2010; Alex Legler <a3li@gentoo.org>
158 -files/ruby-1.8.6-memory-leak.diff,
159 -files/ruby18-mkmf-parallel-install.patch,
160 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
161 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
162 Remove old version. Cleanup in files/
163
164*ruby-1.9.1_p376 (01 May 2010)
165
166 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
167 Version bump. Fixes security bugs 296052 and 300468. No longer installs
168 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
169 instead.
170
171 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
172 -ruby-1.8.7_p174-r1.ebuild:
173 Remove vulnerable ebuilds, 300468
174
175 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
176 ruby-1.8.7_p249.ebuild:
177 amd64 stable, security bug 300468
178
179 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
180 ruby-1.8.7_p249.ebuild:
181 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
182
183 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
184 Stable for HPPA (bug #300468).
185
186 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
187 Stable for HPPA (bug #300468).
188
189 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
190 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
191
192 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
193 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
194
195 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
196 ruby-1.8.6_p388.ebuild:
197 stable x86, security bug 300468
198
199 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
200 ruby-1.8.7_p249.ebuild:
201 stable x86, security bug 300468
202
203*ruby-1.8.6_p388 (10 Jan 2010)
204
205 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
206 +ruby-1.8.6_p388.ebuild:
207 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
208 version. The new ebuild also has the fix for bug 168939.
209
210*ruby-1.8.7_p249 (10 Jan 2010)
211
212 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
213 +ruby-1.8.7_p249.ebuild:
214 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
215 version
216
217 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
218 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
219
220*ruby-1.8.7_p248 (25 Dec 2009)
221
222 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
223 Version bump
224
225 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
226 Remove old version.
227
228 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
229 Remove old version.
230
231 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
232 ia64/s390/sh stable wrt #288699
233
234 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
235 stable sparc, bug 288699
236
237 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
238 arm stable, bug #288699
239
240 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
241 amd64/x86 stable, bug #288699
242
243 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
244 ruby-1.8.7_p174-r1.ebuild:
245 Stable on alpha, bug #288699
246
247 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
248 ppc stable #288699
249
250 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
251 Stable for HPPA (bug #288699).
252
253 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
254 Marked ~hppa too.
255
256*ruby-1.8.7_p174-r1 (06 Oct 2009)
257
258 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
259 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
260 eselect-ruby cleanup feature.
261
262*ruby-1.9.1_p243 (09 Sep 2009)
263
264 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
265 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
266 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
267 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
268 -files/ruby19-rubygems-proxy.patch,
269 -files/ruby-1.9.1_p129-parallelmake.patch,
270 -files/ruby19-mkmf-parallel-install.patch:
271 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
272 168939. Cleaning up old patches.
273
274*ruby-1.8.6_p383 (20 Aug 2009)
275
276 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
277 Patchlevel bump.
278
279 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
280 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
281 ruby-1.9.1_p129-r1.ebuild:
282 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
283
284 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
285 Removing vulnerable ebuild, bug 273213.
286
287 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
288 Marking ruby-1.8.6_p369 ppc for bug 273213
289
290 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
291 ruby-1.9.1_p129-r1.ebuild:
292 Prepend our library path instead of overwriting it during src_install.
293 Thanks to the reporter of bug #274824.
294
295*ruby-1.8.7_p174 (18 Jun 2009)
296
297 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
298 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
299 Replacing 187_p173 with _p174 because of a regression. Unifying the
300 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
301 patchsets.
302
303 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
304 Marking ruby-1.8.6_p369 ppc64 for bug 273213
305
306 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
307 arm/ia64/s390/sh/sparc stable wrt #273213
308
309 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
310 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
311 Removing old version, minor cleanup
312
313 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
314 -files/ruby-1.8.6-openssl.patch,
315 -files/ruby-1.8.6-shortname_constants.patch,
316 -files/ruby-1.8.6_p111-r13657.patch,
317 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
318 Removing vulnerable old Ruby version and stale patches, bug 274108.
319
320 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
321 ruby-1.8.6_p369.ebuild:
322 Stable on alpha, bug #273213
323
324 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
325 Stable for HPPA (bug #273213).
326
327 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
328 ruby-1.8.6_p369.ebuild:
329 stable x86, security bug 273213
330
331 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
332 amd64 stable, security bug 273213.
333
334*ruby-1.8.7_p173 (10 Jun 2009)
335*ruby-1.8.6_p369 (10 Jun 2009)
336
337 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
338 +ruby-1.8.7_p173.ebuild:
339 Version bumps for bug #273213.
340
341*ruby-1.9.1_p129-r1 (27 May 2009)
342
343 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
344 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
345 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
346 +files/ruby-1.9.1_p129-parallelmake.patch:
347 Revision bump, add patches 1) to make Ruby behave more similarly between
348 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
349 extensions (undefined symbols in them will cause abort at runtime 3) to
350 remove a concurrency issue when building the dl extension that could
351 result in a broken dl.so.
352
353 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
354 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
355 Don't block rdoc-2 or later (which may enter Portage one day as it's
356 needed by some Rakefiles).
357
358 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
359 ruby-1.9.1_p129.ebuild:
360 Add ~x86-fbsd keyword.
361
362 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
363 keyword ~sparc-fbsd, bug #252315
364
365*ruby-1.9.1_p129 (15 May 2009)
366
367 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
368 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
369 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
370 included in every release.
371
372 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
373 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
374 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
375 ruby-1.8.7_p160.ebuild:
376 Removing vulnerable versions (#268515), fixing license (#233747).
377
378 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
379 Stable for HPPA (bug #268515).
380
381 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
382 Adapting rubygems notice.
383
384 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
385 amd64 stable, bug #268515.
386
387 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
388 arm/ia64/s390/sh/sparc stable wrt #268515
389
390 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
391 ruby-1.8.6_p368.ebuild:
392 stable x86, security bug 268515
393
394 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
395 ruby-1.8.6_p368.ebuild:
396 Stable on alpha, bug #268515
397
398 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
399 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
400
401*ruby-1.8.7_p160 (07 May 2009)
402*ruby-1.8.6_p368 (07 May 2009)
403
404 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
405 +ruby-1.8.7_p160.ebuild:
406 Version bump as per secbug 268515. NB: These are the first ebuilds that
407 no longer use ruby-config.
408
409*ruby-1.9.1-r1 (03 Apr 2009)
410*ruby-1.8.7_p72-r11 (03 Apr 2009)
411*ruby-1.8.6_p287-r13 (03 Apr 2009)
412
413 03 Apr 2009; Alex Legler <a3li@gentoo.org>
414 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
415 +files/ruby18-mkmf-parallel-install.patch,
416 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
417 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
418 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
419 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
420 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
421 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
422 happy.
423
424*ruby-1.9.1 (21 Mar 2009)
425
426 21 Mar 2009; Alex Legler <a3li@gentoo.org>
427 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
428 +ruby-1.9.1.ebuild:
429 Adding Ruby 1.9.1 for preliminary testing
430
431 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
432 ruby-1.8.6_p287-r12.ebuild:
433 Marked ~ppc for bug #252315.
434
435 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
436 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
437 bug 261982.
438
439 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
440 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
441 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
442 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
443 Cleanup
444
445*ruby-1.8.7_p72-r10 (07 Mar 2009)
446
447 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
448 +ruby-1.8.7_p72-r10.ebuild:
449 Add a revision of ruby 1.8.7 using eselect ruby.
450
451 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
452 ~mips keyworded, bug #252315.
453
454 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
455 ruby-1.8.6_p287-r5.ebuild:
456 ppc stable, bug #260006
457
458 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
459 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
460
461 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
462 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
463 Fixing Tk USE flag test, bug 258893.
464
465 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
466 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
467
468 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
469 ruby-1.8.6_p287-r5.ebuild:
470 amd64 stable wrt security bug #260006
471
472 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
473 Stable for HPPA (bug #260006).
474
475 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
476 ruby-1.8.6_p287-r5.ebuild:
477 Stable on alpha, bug #260006
478
479*ruby-1.8.7_p72-r2 (23 Feb 2009)
480*ruby-1.8.6_p287-r12 (23 Feb 2009)
481*ruby-1.8.6_p287-r5 (23 Feb 2009)
482
483 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
484 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
485 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
486 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
487 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
488 now before compilation if Tk useflags don't match) and 230748 (adding
489 --enable-option-checking=no for newer versions of autoconf).
490
491 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
492 arm/ia64/s390/sh/sparc stable wrt #254307
493
494 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
495 ruby-1.8.6_p287-r4.ebuild:
496 Stable on alpha, bug #254307
497
498 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
499 ruby-1.8.6_p287-r11.ebuild:
500 keyword ~x86-fbsd, bug #252315
501
502 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
503 ppc stable #254307
504
505 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
506 amd64/x86 stable, bug #254307
507
508 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
509 stable ppc64, bug 254307
510
511 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
512 Stable for HPPA (bug #254307).
513
514 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
515 ruby-1.8.6_p287-r11.ebuild:
516 Marked ~hppa (bug #252315).
517
518*ruby-1.8.6_p287-r11 (11 Jan 2009)
519
520 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
521 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
522 +ruby-1.8.6_p287-r11.ebuild:
523 Backport conditional definition of missing openssl functions from ruby 1.8.7.
524 Fixes #254307.
525
526 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
527 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
528
529 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
530 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
531
532 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
533 ruby-1.8.6_p287-r10.ebuild:
534 Add ~sparc keyword, bug #252315
535
536*ruby-1.8.6_p287-r10 (23 Dec 2008)
537
538 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
539 +ruby-1.8.6_p287-r10.ebuild:
540 Version bump which switches from ruby-config to eselect-ruby. Dropped most
541 keywords since eselect-ruby does not yet have these keywords.
542
543 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
544 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
545 Revert the ruby-config changes. We can't remove them until we provide an
546 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
547 for breaking things as mentioned in bug #251833.
548
549 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
550 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
551 ruby-1.8.7_p72-r1.ebuild:
552 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
553 Thanks for the people noticing this in bug #251833.
554
555 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
556 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
557 ruby-1.8.7_p72-r1.ebuild:
558 Drop dependency on ruby-config, which will be removed from the tree. We
559 currently only have one major version of ruby in the tree (Ruby 1.8), so there
560 is no need for ruby-config at this moment. For newer versions of Ruby we will
561 use eselect-ruby, which can be found in the ruby overlay at the moment.
562
563 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
564 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
565 Use mirror://ruby in SRC_URI, fixes #237392.
566
567 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
568 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
569 -ruby-1.8.7_p72.ebuild:
570 Remove old versions. Leave one old stable version with cjk support.
571
572*ruby-1.8.6_p287-r3 (29 Nov 2008)
573
574 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
575 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
576 +ruby-1.8.6_p287-r3.ebuild:
577 Fix our expansion limit patch according to debian bug report
578 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
579 make sure people will pick up the fixed version. Thanks to Alex Legler for
580 mentioning the patch.
581
582*ruby-1.8.7_p72-r1 (26 Nov 2008)
583*ruby-1.8.6_p287-r2 (26 Nov 2008)
584
585 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
586 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
587 +ruby-1.8.7_p72-r1.ebuild:
588 Fix problem with shortname constants #247790, already fixed in upstream SVN.
589 Thanks to Alex Legler for providing the patch.
590
591 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
592 -ruby-1.8.6_p287.ebuild:
593 Remove versions that will not become stable
594
595 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
596 ruby-1.8.6_p287-r1.ebuild:
597 ppc stable, bug #225465
598
599 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
600 ruby-1.8.6_p287-r1.ebuild:
601 amd64 stable wrt security bug #225465
602
603 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
604 alpha/ia64/x86 stable wrt #225465
605
606 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
607 ruby-1.8.6_p287-r1.ebuild:
608 Sparc stable --- Security Bug #225465 --- good since late August.
609
610 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
611 Stable on ppc64; bug #225465
612
613 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
614 Stable for HPPA (bug #225465).
615
616*ruby-1.8.6_p287-r1 (29 Aug 2008)
617
618 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
619 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
620 +ruby-1.8.6_p287-r1.ebuild:
621 Fix REXML security issues, bug #236060.
622
623 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
624 Add GLEP 56 USE flag descriptions.
625
626*ruby-1.8.7_p72 (15 Aug 2008)
627
628 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
629 +ruby-1.8.7_p72.ebuild:
630 bump 1.8.7 to latest patch release
631
632*ruby-1.8.6_p287 (11 Aug 2008)
633
634 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
635 Version bump for brown paper bag relelease.
636
637 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
638 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
639 Remove broken version in favor of the just-added 1.8.6_p286
640
641*ruby-1.8.6_p286 (10 Aug 2008)
642
643 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
644 Version bump to latest released version of ruby 1.8.6. This version fixes the
645 security issues reported in #225465 and #234224. The cjk USE flag has been
646 dropped since no compatible patches have been released yet.
647
648 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
649 ruby-1.8.6_p230.ebuild:
650 drop cjk from SRC_URI as well
651
652 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
653 Drop cjk support since the most recent oniguruma patches no longer apply to
654 this version, #230111.
655
656 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
657 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
658 Try to fix the security issues reported in #225465 for ruby 1.8.6.
659 Unfortunately the official p230 has a change which causes segmentation faults
660 for applications like Rails and RSpec, so we are reverting that specific
661 change.
662
663*ruby-1.8.7_p22 (29 Jun 2008)
664
665 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
666 +ruby-1.8.7_p22.ebuild:
667 bump 1.8.7 for security fix
668
669 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
670 nevermind, don't bump this yet
671
672*ruby-1.8.6_p230 (20 Jun 2008)
673
674 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
675 version bump
676
677*ruby-1.8.7 (10 Jun 2008)
678
679 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
680 +ruby-1.8.7.ebuild:
681 bump 1.8.7 to final
682
683*ruby-1.8.7_pre2 (21 Apr 2008)
684
685 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
686 +ruby-1.8.7_pre2.ebuild:
687 Version Bump
688
689*ruby-1.8.7_pre1 (16 Apr 2008)
690
691 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
692 Version bump. Drop cjk until a new version of oniguruma appears.
693
694 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
695 amd64 stable, bug 212264
696
697 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
698 Stable for HPPA (bug #212264).
4 699
5 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org> 700 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
6 ruby-1.8.6_p114.ebuild: 701 ruby-1.8.6_p114.ebuild:
7 ppc stable, bug #212264 702 ppc stable, bug #212264
8 703

Legend:
Removed from v.1.330  
changed lines
  Added in v.1.477

  ViewVC Help
Powered by ViewVC 1.1.20